This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 496986 - Remove perl dependency in base packages group
Remove perl dependency in base packages group
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Tom "spot" Callaway
:
Depends On:
Blocks: F11MinimalPlatform
  Show dependency treegraph
 
Reported: 2009-04-21 18:27 EDT by Peter Robinson
Modified: 2014-03-16 23:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 11:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-04-21 18:27:21 EDT
The following 4 packages pull in a large chunk of perl which adds around 40meg to a small install. I'm not sure whether the packages can be split up, substituted or moved into other groups. logwatch and numactl certainly make sense on a server but not so much on things like netbooks. I couldn't see fbset used in a very basic grep through initscripts.

lftp
logwatch
numactl
fbset
Comment 1 Bill Nottingham 2009-04-21 21:13:57 EDT
If you want to get rid of the deps in genreal, you may want to also file against the packages specifically.
Comment 2 Peter Robinson 2009-04-22 04:23:03 EDT
In most cases I have, I don't think the 4 above are very splitable. eg logwatch is written in perl.
Comment 3 Bug Zapper 2009-06-09 10:21:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tom "spot" Callaway 2009-09-14 10:40:41 EDT
Any update here?
Comment 6 Bill Nottingham 2009-09-14 11:52:56 EDT
Adam Jackson was working on the inividual packages; that is where this needs tracked. Comps has had some adjustments as well. Rawhide should be 'better'.
Comment 7 Peter Robinson 2009-09-14 12:08:20 EDT
Well logwatch needs to be moved as its written in perl and its still mandatory so I'm not sure how that package can be fixed.

Of the rest of the other list:
fbset: no longer default or mandatory
lftp: no longer seems to require perl
numactl: still default and still needs perl.
Comment 8 Bill Nottingham 2009-09-14 12:16:40 EDT
logwatch is not mandatory.

numactl would need filed against numactl.

Note You need to log in before you can comment on or make changes to this bug.